#!/bin/sh
# Searching for java in your system.


if [ -r ../Backup ]
then
echo backup has been done
else
echo
echo "Looks like the database backup was not taken. Please run the BackupDB.sh in <NetFlow-Home>/troubleshooting folder to take backup of your data before migrating. Do you still want to continue with migration (y/n)? "
read input
if [ "$input" != "y" ]
then	
exit 1
fi
fi

. ./setCommonEnv.sh

LOCDB_HOME=$DB_HOME

NETFLOW_HOME=../conf/server.xml
UTIL_CLASSPATH=../lib/NetFlowUtils.jar
export NETFLOW_HOME
export UTIL_CLASSPATH



$JAVA "-Dcontext=netflow" -cp $UTIL_CLASSPATH com.adventnet.netflow.dbutils.NFClientUtil $NETFLOW_HOME 1
		 
if [ $? -ne 254 ]
then
 echo "Netflow server is running. Shutdown server before upgrading"
 exit 1
else
# case for 4002 to 4010 only
$JAVA "-Dcontext=" -cp $UTIL_CLASSPATH com.adventnet.netflow.dbutils.NFClientUtil $NETFLOW_HOME 1
if [ $? -ne 254 ]
then
 echo "Netflow server is running. Shutdown server before upgrading"
 exit 1
fi
fi

cd ..

PRODUCT_HOME=.
export PRODUCT_HOME

JAVA_COMPILER=NONE
export JAVA_COMPILER

LD_LIBRARY_PATH=./lib/native:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH

cd lib
	if [ -f AdventNetUpdateManagerInstaller.jar_new ]; 
	then
		cp AdventNetUpdateManagerInstaller.jar_new AdventNetUpdateManagerInstaller.jar
		rm -r AdventNetUpdateManagerInstaller.jar_new
	else
		echo ""		
	fi

cd ..	

CLASSPATH=./lib/AdventNetUpdateManagerInstaller.jar
export CLASSPATH

JAVA_OPTS="-Ddb.home=$LOCDB_HOME -DthreadLoader=true -DEnableTxn=false -Dnfams=false" 

if [ "x$isNPM" = "xtrue"  ]
then
	if [ "x$DBSERVER" = "xmysql"  ]
	then
		# socket path should be < 107 characters
		sockethome=$(readlink -f $DB_HOME)
		JAVA_OPTS="-Ddb.home=$DB_HOME -DthreadLoader=true -DEnableTxn=false -Dmysql.socket=$sockethome"
	fi
fi

if [ -z $* ]
then
$JAVA_HOME/bin/java -Xmx100m  $JAVA_OPTS -Dtier-type=BE -Djava.library.path=./lib/native -Dtier-id=BE1 com.adventnet.tools.update.installer.UpdateManager -u conf  2>&1 >> update.log
else 
$JAVA_HOME/bin/java -Xmx100m  $JAVA_OPTS -Dtier-type=BE -Djava.library.path=./lib/native -Dtier-id=BE1 com.adventnet.tools.update.installer.UpdateManager -u conf $*  2>&1 | tee update.log

fi
cd bin

. ./removeUnwanted.sh


